## tenshi 0.4

=== Makefile ===
# Noddy Makefile for dist
# $Id: Makefile 319 2006-01-04 13:31:55Z andrea $

VERSION = 0.4

bindir = /usr/sbin
sysconfdir = /etc
docdir = /usr/share/doc/tenshi-${VERSION}
mandir = /usr/man
libdir = /var/lib/tenshi

DOCS = README INSTALL CREDITS LICENSE COPYING Changelog
SAMPLES = tenshi.conf tenshi.debian-init tenshi.gentoo-init tenshi.solaris-init tenshi.ebuild
BIN = Makefile tenshi
MAN = tenshi.8

DIST_DIR = tenshi-${VERSION}
TARBALL = tenshi-${VERSION}.tar.gz

FILES = ${DOCS} ${SAMPLES} ${BIN} ${MAN}

all: ${FILES}

clean:
	rm -rf tenshi-*.tar.gz

dist: ${TARBALL}

${TARBALL}:
	mkdir -p ${DIST_DIR}
	cp ${FILES} ${DIST_DIR}
	tar czvf tenshi-${VERSION}.tar.gz ${DIST_DIR}
	rm -rf ${DIST_DIR}

install:
	install -D tenshi ${DESTDIR}${bindir}/tenshi
	[ -f ${DESTDIR}${sysconfdir}/tenshi/tenshi.conf ] || \
		install -g root -m 0644 -D tenshi.conf ${DESTDIR}${sysconfdir}/tenshi/tenshi.conf
	install -d ${DESTDIR}${docdir}
	install -m 0644 ${DOCS} ${DESTDIR}${docdir}/
	install -g root -m 0644 tenshi.8 ${DESTDIR}${mandir}/man8/
	install -g root -m 755 -d ${DESTDIR}${libdir}

## tenshi 0.11

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,16 @@
 # Noddy Makefile for dist
-# $Id: Makefile 319 2006-01-04 13:31:55Z andrea $
+# $Id$
 
-VERSION = 0.4
+VERSION = 0.11
 
 bindir = /usr/sbin
 sysconfdir = /etc
 docdir = /usr/share/doc/tenshi-${VERSION}
-mandir = /usr/man
+mandir = /usr/share/man
 libdir = /var/lib/tenshi
 
-DOCS = README INSTALL CREDITS LICENSE COPYING Changelog
-SAMPLES = tenshi.conf tenshi.debian-init tenshi.gentoo-init tenshi.solaris-init tenshi.ebuild
+DOCS = README INSTALL CREDITS LICENSE Changelog FAQ
+SAMPLES = tenshi.conf tenshi.debian-init tenshi.gentoo-init tenshi.solaris-init tenshi.redhat-init tenshi.spec
 BIN = Makefile tenshi
 MAN = tenshi.8

## tenshi 0.13

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Noddy Makefile for dist
 # $Id$
 
-VERSION = 0.11
+VERSION = 0.13
 
 bindir = /usr/sbin
 sysconfdir = /etc
@@ -10,7 +10,7 @@
 libdir = /var/lib/tenshi
 
 DOCS = README INSTALL CREDITS LICENSE Changelog FAQ
-SAMPLES = tenshi.conf tenshi.debian-init tenshi.gentoo-init tenshi.solaris-init tenshi.redhat-init tenshi.spec
+SAMPLES = tenshi.conf tenshi.debian-init tenshi.gentoo-init tenshi.solaris-init tenshi.redhat-init tenshi.suse-init tenshi.redhat-spec tenshi.suse-spec
 BIN = Makefile tenshi
 MAN = tenshi.8

=== debian/changelog ===
tenshi (0.13-8) unstable; urgency=medium

  * QA upload.
  * Patch upstream's Makefile to avoid an unnecessary need for
   `(fake)root`.
  * Set `Rules-Requires-Root: no` as a consequence of the above
    change.

 -- Niels Thykier <niels@thykier.net>  Thu, 20 Jun 2024 19:27:26 +0000

tenshi (0.13-7) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Added perl autopkgtest.
      - Fixed VCS fields.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Daniel Lenharo de Souza <lenharo@debian.org>  Thu, 04 Jun 2020 14:23:54 -0300

tenshi (0.13-6) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Added 'Rules-Requires-Root: binary-targets' to source stanza.
      - Added runtime dependency on lsb-base.
  * debian/copyright:
     - Migrated to 1.0 format.
     - Updated all data.
     - Updated upstream and packaging copyright years.
     - Using a secure URI in Format field.
  * debian/upstream/metadata: created.
  * debian/watch: updated.

 -- Daniel Lenharo de Souza <lenharo@debian.org>  Thu, 21 May 2020 08:45:23 -0300

tenshi (0.13-5) unstable; urgency=medium

  * QA upload.
  * debian/tests/control: added a restriction to fix the CI test.

 -- Daniel Lenharo de Souza <lenharo@debian.org>  Tue, 19 May 2020 11:25:15 -0300

tenshi (0.13-4) unstable; urgency=medium

  * QA upload.
  * debian/patches:
      - Updated patch 20-manpage.diff, to fix a spelling.
  * debian/tests/*:
      - Created to provide a CI test.

 -- Daniel Lenharo de Souza <lenharo@debian.org>  Sun, 17 May 2020 11:09:08 -0300

tenshi (0.13-3) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #955983)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Bumped Standards-Version to 4.5.0.

 -- Daniel Lenharo de Souza <lenharo@debian.org>  Sat, 16 May 2020 15:45:43 -0300

tenshi (0.13-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * Drop DMUA.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Jun 2019 14:24:39 +0200

tenshi (0.13-2+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Debian LTS team.
  * Fix CVE-2017-11746: PID file issue allows local users to kill arbitrary
    processes  (Closes: #871321)

 -- Lucas Kanashiro <kanashiro@debian.org>  Sun, 27 Aug 2017 14:47:19 -0300

tenshi (0.13-2) unstable; urgency=low

  * debian/init:
    - Removed trailing development statement.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Mon, 13 Feb 2012 08:29:43 +0400

tenshi (0.13-1) unstable; urgency=low

  * New upstream release.
  * Converted to quilt 3.0 source format.
  * debian/control:
    - Bumped Standards-Version to 3.9.2.
    - Added the "DM-Upload-Allowed" field.
    - Removed the quilt dependency.
  * debian/rules:
    - Removed the quilt argument.
  * debian/source/format:
    - Changed to "quilt 3.0".
  * debian/patches:
    - 20-manpage.diff: updated to correct new spelling error.
  * debian/init:
    - Added Description LSB keyword.
    - Added status option.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Fri, 10 Feb 2012 08:23:24 +0400

tenshi (0.12-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - Refreshed 10-Makefile.diff.
    - Removed 20-manpage.diff as it is not required anymore.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Sun, 06 Mar 2011 13:57:24 +0100

tenshi (0.11-2) unstable; urgency=low

  * debian/control:
    - Bumped Standards-Version to 3.9.1.
    - Added Vcs-Svn and Vcs-Browser.
    - Set debhelper dependency to (>= 7.0.8) as dh_overrides are not used by
      debian/rules anymore.
  * debian/postinst:
    - Changed tenshi user home directory from /var/run/tenshi to
      /var/lib/tenshi as files in /var/run are cleared at boot time.
      This made the package upgrade from lenny to squeeze fail.
      Thank you Lucas Nussbaum for spotting this issue.
      (Closes: #605240, #606789)
  * debian/patches:
    - 20-manpage.diff: Added typo correction in manpage.
  * debian/source:
    - Added format file set to "1.0".
  * debian/rules:
    - Removed the dh_installinit override, in order to stop the tenshi script
      before upgrading the package. This will be applicable during the next
      upgrade.
  * debian/preinst:
    - Added this pre-installation script in order to stop the tenshi daemon
      before starting the upgrade to the current release. This had to be
      done as the -R flag was passed to dh_installinit in previous release.
  * debian/postrm:
    - Replaced deluser(8) with userdel(8) as adduser package is purged before
      tenshi. Thank you Hideki Yamane <henrich@debian.or.jp> for the patch.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Mon, 20 Dec 2010 22:43:12 +0100

tenshi (0.11-1) unstable; urgency=low

  * New maintainer. (Closes: #549956)
  * New upstream release.
  * debian/copyright:
    - License was changed from GPL to ISC.
    - Upstream's download URL was updated.
  * debian/watch:
    - Corrected the uscan regular expression, to get the latest version number.
  * debian/rules:
    - Simplified the rules file using dh7 features.
    - Added the '-R' option to dh_installinit in order to restart the tenshi
      service after an upgrade.
  * debian/control:
    - Updated debhelper dependency to (>= 7.0.50~).
    - Added dependency on quilt (>= 0.46-7).
    - Added dependency on libio-bufferedselect-perl.
  * debian/patches:
    - Added 10-Makefile.diff: patches the Makefile correcting the
      documentation installation path, and preventing unwanted files
      from installing.
    - Added 20-manpage.diff: corrects lintian warnings
      "hyphen-used-as-minus-sign" in tenshi's manpage.
  * debian/config-debian/tenshi.conf:
    - Updated the default configuration file using upstream's latest version.
  * debian/init.d:


=== debian/control ===
Source: tenshi
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Testsuite: autopkgtest-pkg-perl
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/tenshi
Vcs-Git: https://salsa.debian.org/debian/tenshi.git
Homepage: http://dev.inversepath.com/trac/tenshi

Package: tenshi
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
         adduser,
         libio-bufferedselect-perl,
         lsb-base
Description: log monitoring and reporting tool
 Tenshi is a log monitoring program, designed to watch one or more log files
 for lines matching user defined regular expressions and report on the matches.
 The regular expressions are assigned to queues which have an alert interval
 and a list of mail recipients.
 .
 Queues can be set to send a notification as soon as there is a log line
 assigned to it, or to send periodic reports.
 .
 Additionally, uninteresting fields in the log lines (such as PID numbers) can
 be masked with the standard regular expression grouping operators ( ).
 This allows cleaner and more readable reports. All reports are separated by
 hostname and all messages are condensed when possible.
 .
 The program reads a configuration file and then forks a daemon for monitoring
 the specified log files.

=== debian/watch ===
version=4
https://github.com/f-secure-foundry/tenshi/releases .*/archive/(\d\..\d)@ARCHIVE_EXT@

## tenshi 0.18

=== debian/changelog ===
tenshi (0.18-1) UNRELEASED; urgency=medium

  * Adopt package
  * New upstream release.
  * debian/watch: fixed and updated to version 5
  * Add systemd service unit, closes: #1039392
  * debian/control:
      - Updated Homepage
      - Remove "Priority: optional"
      - Bump Standards-Version to 4.7.3
  * Refresh patches
      - Removed 40-remove-root.patch, applied upstream in 50f7660.
      - Removed CVE-2017-11746.patch, solved upstream.  Besides,
        irrelevant under systemd as there is no PID file anymore.
  * Fix debian/postinst, closes: #908253: postinst script has a wrong
    redirection
  * Fix debian/postrm, closes: #908262: postrm script has a wrong redirection

 -- Michael Bunk <micha@freedict.org>  Thu, 08 Jan 2026 18:39:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: tenshi
 Section: admin
-Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Michael Bunk <micha@freedict.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.7.3
 Testsuite: autopkgtest-pkg-perl
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/tenshi
 Vcs-Git: https://salsa.debian.org/debian/tenshi.git
-Homepage: http://dev.inversepath.com/trac/tenshi
+Homepage: https://github.com/f-secure-foundry/tenshi
 
 Package: tenshi
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${perl:Depends}, ${misc:Depends},
          adduser,
-         libio-bufferedselect-perl,
-         lsb-base
+         libio-bufferedselect-perl
 Description: log monitoring and reporting tool
  Tenshi is a log monitoring program, designed to watch one or more log files
  for lines matching user defined regular expressions and report on the matches.

=== debian/tests/control ===
Test-Command: tenshi -C debian/tests/files/testconf.conf
Restrictions: needs-root

Test-Command: man --warnings=all tenshi >/dev/null
Depends: @, man-db

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/f-secure-foundry/tenshi/releases?per_page=100
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/tarball/(\d)\.(\d+)
Filenamemangle: s%.+/tarball/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%
Searchmode: plain
